# Uses of Class
org.eclipse.swt.graphics.FontData

Packages that use FontData
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.e4.ui.css.swt.helpers
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.

## Uses of FontData in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return FontData
Modifier and Type
Method
Description
`FontData`
DebugElementWorkbenchAdapter.`getFont(Object element)`
Deprecated.

## Uses of FontData in org.eclipse.e4.ui.css.swt.helpers

Methods in org.eclipse.e4.ui.css.swt.helpers that return FontData
Modifier and Type
Method
Description
`static FontData`
CSSSWTFontHelper.`getFirstFontData(Font font)`
Return first FontData from SWT Font.
`static FontData`
CSSSWTFontHelper.`getFirstFontData(Control control)`
Return first FontData from Control Font.
`static FontData`
CSSSWTFontHelper.`getFontData(CSS2FontProperties fontProperties, FontData oldFontData)`
Return FontData from `CSS2FontProperties`.
Methods in org.eclipse.e4.ui.css.swt.helpers with parameters of type FontData
Modifier and Type
Method
Description
`static Font`
CSSSWTFontHelper.`getFont(CSS2FontProperties fontProperties, FontData oldFontData, Display display)`
`static String`
CSSSWTFontHelper.`getFontComposite(FontData fontData)`
`static FontData`
CSSSWTFontHelper.`getFontData(CSS2FontProperties fontProperties, FontData oldFontData)`
Return FontData from `CSS2FontProperties`.
`static String`
CSSSWTFontHelper.`getFontFamily(FontData fontData)`
`static String`
CSSSWTFontHelper.`getFontSize(FontData fontData)`
`static String`
CSSSWTFontHelper.`getFontStyle(FontData fontData)`
`static String`
CSSSWTFontHelper.`getFontWeight(FontData fontData)`
`static int`
CSSSWTFontHelper.`getSWTStyle(CSS2FontProperties fontProperties, FontData fontData)`
Return SWT style Font from `CSS2FontProperties`.
`static boolean`
CSSSWTFontHelper.`isBold(FontData fontData)`
`static boolean`
CSSSWTFontHelper.`isItalic(FontData fontData)`

## Uses of FontData in org.eclipse.jface.preference

Fields in org.eclipse.jface.preference declared as FontData
Modifier and Type
Field
Description
`static FontData[]`
PreferenceConverter.`FONTDATA_ARRAY_DEFAULT_DEFAULT`
Deprecated.
this is not thread-safe and may contain invalid data at startup.
`static FontData`
PreferenceConverter.`FONTDATA_DEFAULT_DEFAULT`
Deprecated.
this is not thread-safe and may contain invalid data at startup.
Methods in org.eclipse.jface.preference that return FontData
Modifier and Type
Method
Description
`static FontData[]`
PreferenceConverter.`basicGetFontData(String value)`
Helper method to construct a `FontData` from the given string.
`static FontData`
PreferenceConverter.`getDefaultFontData(IPreferenceStore store, String name)`
Returns a single default value for the font-valued preference with the given name in the given preference store.
`static FontData[]`
PreferenceConverter.`getDefaultFontDataArray(IPreferenceStore store, String name)`
Returns the default value array for the font-valued preference with the given name in the given preference store.
`static FontData`
PreferenceConverter.`getFontData(IPreferenceStore store, String name)`
Returns the current value of the first entry of the font-valued preference with the given name in the given preference store.
`static FontData[]`
PreferenceConverter.`getFontDataArray(IPreferenceStore store, String name)`
Returns the current value of the font-valued preference with the given name in the given preference store.
`static FontData[]`
PreferenceConverter.`getFontDataArrayDefaultDefault()`
The default-default value for `FontData[]` preferences.
`static FontData[]`
PreferenceConverter.`readFontData(String fontDataValue)`
Reads the supplied string and returns its corresponding FontData.
Methods in org.eclipse.jface.preference with parameters of type FontData
Modifier and Type
Method
Description
`static String`
PreferenceConverter.`getStoredRepresentation(FontData[] fontData)`
Returns the stored representation of the given array of FontData objects.
`static void`
PreferenceConverter.`putValue(IPreferenceStore store, String name, FontData[] value)`
Sets the current value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setDefault(IPreferenceStore store, String name, FontData value)`
Sets the default value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setDefault(IPreferenceStore store, String name, FontData[] value)`
Sets the default value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setValue(IPreferenceStore store, String name, FontData value)`
Sets the current value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setValue(IPreferenceStore store, String name, FontData[] value)`
Sets the current value of the preference with the given name in the given preference store.

## Uses of FontData in org.eclipse.jface.resource

Methods in org.eclipse.jface.resource that return FontData
Modifier and Type
Method
Description
`static FontData`
StringConverter.`asFontData(String value)`
Converts the given value into an SWT font data object.
`static FontData`
StringConverter.`asFontData(String value, FontData dflt)`
Converts the given value into an SWT font data object.
`static FontData[]`
StringConverter.`asFontDataArray(String value)`
Convert the given value into an array of SWT font data objects.
`FontData`
FontRegistry.`bestData(FontData[] fonts, Display display)`
Deprecated.
use bestDataArray in order to support Motif multiple entry fonts.
`FontData[]`
FontRegistry.`bestDataArray(FontData[] fonts, Display display)`
Deprecated.
use filterData in order to preserve multiple entry fonts on Motif
`static FontData`
FontDescriptor.`copy(FontData next)`
Returns a copy of the original FontData
`static FontData[]`
FontDescriptor.`copy(FontData[] original)`
Returns an array of FontData containing copies of the FontData from the original.
`FontData[]`
FontRegistry.`filterData(FontData[] fonts, Display display)`
Removes from the list all fonts that do not exist in this system.
`FontData[]`
FontDescriptor.`getFontData()`
Returns the set of FontData associated with this font.
`FontData[]`
FontRegistry.`getFontData(String symbolicName)`
Returns the font data associated with the given symbolic font name.
Methods in org.eclipse.jface.resource with parameters of type FontData
Modifier and Type
Method
Description
`static String`
StringConverter.`asDisplayableString(FontData value)`
Deprecated.
use asString(FontData)
`static FontData`
StringConverter.`asFontData(String value, FontData dflt)`
Converts the given value into an SWT font data object.
`static String`
StringConverter.`asString(FontData value)`
Converts a font data object to a string.
`static String`
StringConverter.`asString(FontData[] value)`
Converts a font data array to a string.
`FontData`
FontRegistry.`bestData(FontData[] fonts, Display display)`
Deprecated.
use bestDataArray in order to support Motif multiple entry fonts.
`FontData[]`
FontRegistry.`bestDataArray(FontData[] fonts, Display display)`
Deprecated.
use filterData in order to preserve multiple entry fonts on Motif
`static FontData`
FontDescriptor.`copy(FontData next)`
Returns a copy of the original FontData
`static FontData[]`
FontDescriptor.`copy(FontData[] original)`
Returns an array of FontData containing copies of the FontData from the original.
`static FontDescriptor`
FontDescriptor.`createFrom(FontData data)`
Creates a new FontDescriptor given the associated FontData
`static FontDescriptor`
FontDescriptor.`createFrom(FontData[] data)`
Creates a new FontDescriptor given the an array of FontData that describes the font.
`FontData[]`
FontRegistry.`filterData(FontData[] fonts, Display display)`
Removes from the list all fonts that do not exist in this system.
`void`
FontRegistry.`put(String symbolicName, FontData[] fontData)`
Adds (or replaces) a font to this font registry under the given symbolic name.

## Uses of FontData in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return FontData
Modifier and Type
Method
Description
`FontData[]`
Font.`getFontData()`
Returns an array of `FontData`s representing the receiver.
`FontData[]`
Device.`getFontList(String faceName, boolean scalable)`
Returns `FontData` objects which describe the fonts that match the given arguments.
`static FontData`
FontData.`win32_new(org.eclipse.swt.internal.win32.LOGFONT data, float height)`
Invokes platform specific functionality to allocate a new font data.
Constructors in org.eclipse.swt.graphics with parameters of type FontData
Modifier
Constructor
Description
``
`Font(Device device, FontData fd)`
Constructs a new font given a device and font data which describes the desired font's appearance.
``
`Font(Device device, FontData[] fds)`
Constructs a new font given a device and an array of font data which describes the desired font's appearance.

## Uses of FontData in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return FontData
Modifier and Type
Method
Description
`FontData`
FontDialog.`getFontData()`
Deprecated.
use #getFontList ()
`FontData[]`
FontDialog.`getFontList()`
Returns a FontData set describing the font that was selected in the dialog, or null if none is available.
`FontData`
FontDialog.`open()`
Makes the dialog visible and brings it to the front of the display.
Methods in org.eclipse.swt.widgets with parameters of type FontData
Modifier and Type
Method
Description
`void`
FontDialog.`setFontData(FontData fontData)`
Deprecated.
use #setFontList (FontData [])
`void`
FontDialog.`setFontList(FontData[] fontData)`
Sets the set of FontData objects describing the font to be selected by default in the dialog, or null to let the platform choose one.

## Uses of FontData in org.eclipse.ui.model

Methods in org.eclipse.ui.model that return FontData
Modifier and Type
Method
Description
`FontData`
IWorkbenchAdapter2.`getFont(Object element)`
Provides a font the given element.
`FontData`
WorkbenchAdapter.`getFont(Object element)`
The default implementation of this `IWorkbenchAdapter2` method returns `null`.